<?php
/**
 * @filesource: bar_dbdata.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$id = "cvs";
$draw_option = "draw()";
$width = "600";
$height = "400";

$db_config_file = $_SERVER["DOCUMENT_ROOT"] . "/configuration.php";
$sql="Select title, hits From jos_content Order By hits Desc Limit 10";
$db_data = rgraph_chart::getDataFromDB($db_config_file, $sql);

if ($db_data == -1)
{
    echo "<br><br><b>database connection failed</b> - check your db config file";
    exit;
}

$chart = new rgraph_chart("cvs", $db_data[1], "Bar");

$options = new rgraph_options("bar_3d.ini");
$options->set_option("title", "Most Read Articles");
$options->set_option("tooltipsPositionStatic", false);
//$options->set_option("marginBottom", 150);
$options->set_option("labels", $db_data[0]);
$options->set_tooltip($db_data[1], "#label# <br > #val# Hits");
$options->set_option("xaxisLabels", $options->truncateLabels($db_data[0], 18,"..."));
$draw_option .= $options->getResponsiveFunction(array(0.4,990,1200,$width,$height));

$chart->set_options($options);
$rgraph_json = $chart->toString();

$event_script = "";
$chart_script = "";

include_once ($templates . $template);
?>



