<?php
/**
 * @filesource: line_formula.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;
include_once $utility;

// rgraph chart
$template = "default.php";
$draw_option = "trace();";
$width = "700";
$height = "350";

$data = getDataviaFormula("y=2*e^-(0.2 * x)*sin(x * 2*pi)", 0.1, 0 ,20);
 
$chart = new rgraph_chart("cvs", $data['y_values'], "Line");

$options = new rgraph_options("default.ini");
$options->set_option("title", "A Line Chart with calculated Data via Formula: y = 2*e^-(0.2*x)*sin(x * 2*pi)");
$options->set_option("titleY",20);
$options->set_option("yaxisScaleMax", 2.0);
$options->set_option("yaxisScaleDecimals",3);
$options->set_option("xaxisPosition", "center");
$options->set_option("outofbounds", true);
$labels = $data['x_values'];
$options->set_option("xaxisLabels", $labels);
$options->set_option("xaxisTickmarksCount", 10);
$options->set_option("backgroundGridAutofit", false);

$options->set_tooltip($data['y_values'], "x=#label# value=#val# ");
$labels = $options->xlabelsteps($data['x_values'],10);
$options->set_option("xaxisLabels", $labels);

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



